import { DigiNgFormDatepickerModule } from '@af/digi-ng/_form/form-datepicker';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterTestingModule } from '@angular/router/testing';
import { UiCheckboxModule } from '@ui/checkbox/checkbox.module';
import { DeltagareExportComponent } from './deltagare-export.component';
import { DeltagareExportService } from './deltagare-export.service';

describe('DeltagareExportComponent', () => {
  let component: DeltagareExportComponent;
  let fixture: ComponentFixture<DeltagareExportComponent>;

  beforeEach(
    waitForAsync(() => {
      void TestBed.configureTestingModule({
        schemas: [CUSTOM_ELEMENTS_SCHEMA],
        declarations: [DeltagareExportComponent],
        imports: [
          HttpClientTestingModule,
          RouterTestingModule,
          FormsModule,
          ReactiveFormsModule,
          DigiNgFormDatepickerModule,
          UiCheckboxModule,
        ],
        providers: [DeltagareExportService],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(DeltagareExportComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
